
QGIS Application - Bug report #16037

QGIS crashes with PostGIS connection

2017-01-05 04:45 AM - Sujan Dahal

Status: Closed

Priority: High

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:2.18.2 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 23952

Description

I am using PgAdmin version 1.18.1 on windows 7. When I add a new PostGIS connection in QGIS and opt. not to save password in the

connection (or save username/ password but only one) it works perfectly fine for first time. Now, when I close QGIS and open it again,

QGIS freezes at Enter Credentials dialogue box (for PostGIS connection) and crashes without possibility to enter username and/or

password. Until I completely disconnect my internet connection and open QGIS again and remove previous PostGIS connection, QGIS

cannot be opened.

History

#1 - 2017-01-12 07:46 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Category set to Data Provider/PostGIS

I cannot replicate or I don't understand the issue (what's the role of pgadmin here?) or how replicate. Please add exact steps.

#2 - 2017-02-27 02:53 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.
